be.fgov.ehealth.daas.complextype.v1

## Class TypeCodeType

- java.lang.Object
- - be.fgov.ehealth.daas.complextype.v1.TypeCodeType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2022-12-09T10:59:36+01:00",
                 comments="JAXB RI v2.2.11")
      public class TypeCodeType
      extends Object
      implements Serializable

  Type code for code element such as QualityTypeCode, OrganizationTypeCode.

  Java class for TypeCodeType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="TypeCodeType">
         <simpleContent>
           <extension base="<http://www.w3.org/2001/XMLSchema>string">
             <attribute name="Type" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           </extension>
         </simpleContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TypeCodeType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getType()` Gets the value of the type property.
    `String` | `getValue()` Gets the value of the value property.
    `void` | `setType(String value)` Sets the value of the type property.
    `void` | `setValue(String value)` Sets the value of the value property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TypeCodeType

          public TypeCodeType()

  - ### Method Detail

    - #### getValue

          public String getValue()

      Gets the value of the value property.
      Returns:
        possible object is `String`

    - #### setValue

          public void setValue(String value)

      Sets the value of the value property.
      Parameters:
        `value` - allowed object is `String`

    - #### getType

          public String getType()

      Gets the value of the type property.
      Returns:
        possible object is `String`

    - #### setType

          public void setType(String value)

      Sets the value of the type property.
      Parameters:
        `value` - allowed object is `String`

Connector Packaging PERSLOGOPEDIST 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.